Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSDefineMovieClip

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSDefineObject
                  com.flagstone.transform.FSDefineMovieClip

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSDefineMovieClip

extends FSDefineObject

FSDefineMovieClip defines a movie clip that animates shapes within a movie.

It contains an array of movie objects that define the placement of shapes, buttons, text and images and the order in which they are displayed through a time-line that is separate from the parent movie.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
identifier | A unique identifier, in the range 1..65535, for the movie clip.
objects | An array of FSMovieObject objects that define the commands that are executed by the Flash Player to animate the movie clip.

Although a movie clip contains the commands that instructs the Flash Player on how to animate the clip it cannot contain any new definitions of objects. All definitions must be in the main movie. All objects referred to by the movie clip must be also defined in the main movie before they can be used.

When using the FSDefineMovieClip object can only contain objects from the following classes: FSShowFrame, FSPlaceObject, FSPlaceObject2, FSRemoveObject, FSRemoveObject2, FSDoAction, FSStartSound, FSFrameLabel, FSSoundStreamHead, FSSoundStreamHead2 or FSSoundStreamBlock. Other objects are not allowed.

# History

The FSDefineMovieClip class represents the DefineSprite tag from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 3.

Field Summary

Fields inherited from class com.flagstone.transform.FSDefineObject
`identifier`

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSDefineMovieClip(FSCoder coder)` Construct an FSDefineMovieClip object, initialising it with values decoded from an encoded object.
`FSDefineMovieClip(FSDefineMovieClip obj)` Constructs an FSDefineShape object by copying values from an existing object.
`FSDefineMovieClip(int anIdentifier)` Constructs an FSDefineMovieClip object with the unique identifier.
`FSDefineMovieClip(int anIdentifier, java.util.ArrayList anArray)` Constructs an FSDefineMovieClip object with the unique identifier and array of movie objects.

Method Summary
`void` | `add(FSMovieObject anObject)` Adds the movie object to the array of actions.
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getFrameCount()` Gets the total number of frames in the movie clip.
`java.util.ArrayList` | `getObjects()` Gets the array of movie objects.
`int` | `length(FSCoder coder)`
`void` | `setObjects(java.util.ArrayList anArray)` Sets the array of movie objects.

Methods inherited from class com.flagstone.transform.FSDefineObject
`getIdentifier, setIdentifier`

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSDefineMovieClip

    public FSDefineMovieClip(FSCoder coder)

  Construct an FSDefineMovieClip object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSDefineMovieClip

    public FSDefineMovieClip(int anIdentifier)

  Constructs an FSDefineMovieClip object with the unique identifier. The Array of objects used to control the movie is empty.

  Parameters:
    `anIdentifier` - a unique identifier for the movie clip.

### FSDefineMovieClip

    public FSDefineMovieClip(int anIdentifier,
                             java.util.ArrayList anArray)

  Constructs an FSDefineMovieClip object with the unique identifier and array of movie objects.

  Parameters:
    `anIdentifier` - a unique identifier for the movie clip.
    `anArray` - the array of movie objects.

### FSDefineMovieClip

    public FSDefineMovieClip(FSDefineMovieClip obj)

  Constructs an FSDefineShape object by copying values from an existing object.

  Parameters:
    `obj` - an FSDefineShape object.

Method Detail

### add

    public void add(FSMovieObject anObject)

  Adds the movie object to the array of actions.

  Parameters:
    `anObject` - an object belonging to a class derived from FSMovieObject.

### getObjects

    public java.util.ArrayList getObjects()

  Gets the array of movie objects.

  Returns:
    the array of movie objects.

### setObjects

    public void setObjects(java.util.ArrayList anArray)

  Sets the array of movie objects.

  Parameters:
    `anArray` - the array of movie objects.

### getFrameCount

    public int getFrameCount()

  Gets the total number of frames in the movie clip.

  Returns:
    the number of frames.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSDefineObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSDefineObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSDefineObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSDefineObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD